=== debian/changelog ===
rna-star (2.7.3a+dfsg-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:29 +0100

rna-star (2.7.3a+dfsg-1build1) focal; urgency=medium

  * No-change upload for libhts soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 22:43:27 +0100

rna-star (2.7.3a+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version.
  * Use debhelper 12.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Oct 2019 00:26:31 +0200

rna-star (2.7.2b+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 26 Sep 2019 18:51:51 +0200
