=== debian/changelog ===
rna-star (2.7.5c+dfsg-3) unstable; urgency=medium

  * Source upload to enable testing migration.
  * Confirmed autopkgtest fixed.
    Closes: #970340

 -- Sascha Steinbiss <satta@debian.org>  Wed, 16 Sep 2020 08:56:26 +0200

rna-star (2.7.5c+dfsg-2) unstable; urgency=medium

  * Fix autopkgtest by allowing output to stderr.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 15 Sep 2020 15:45:46 +0200

rna-star (2.7.5c+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 21 Aug 2020 21:47:38 +0200

rna-star (2.7.5a+20200629git1552aa0-1) unstable; urgency=medium

  * Upstream kindly fixed the FTBFS reported before

 -- Steffen Moeller <moeller@debian.org>  Tue, 07 Jul 2020 19:09:25 +0200

rna-star (2.7.5a+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version
  * TODO: FTBFS - informed upstream on
    - https://github.com/alexdobin/STAR/pull/956
    - https://github.com/alexdobin/STAR/issues/957

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jun 2020 17:10:17 +0200

rna-star (2.7.4a+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Sat, 06 Jun 2020 20:31:10 +0200

rna-star (2.7.3a+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Otherwise no change build to pick up libhts3

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 16:01:10 +0100
