=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
            Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                libhts-dev,
                vim-common,
                xxd,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/rna-star
 Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
+Rules-Requires-Root: no
 
 Package: rna-star
 Architecture: amd64 arm64 ppc64el mips64el
