=== debian/changelog ===
rna-star (2.7.8a+dfsg-2) unstable; urgency=high

  * Team upload.

  [ Nilesh Patra ]
  * debian/{rules,control,patches/simde.patch}: use libsimde-dev to enable
    building on non-x86 systems.
    Removed "-march=native" architecture baseline violation. Closes: #983723

  [ Michael R. Crusoe ]
  * debian/{rules,clean: specify the source directory, and simplify
  * debian/patches/reproducible.patch: Reproducibly include the build
    time using SOURCE_DATE_EPOCH. Also forwarded upstream
  * On amd64: build STAR for each SIMD level from AVX2 on down.
  * Build and ship STARlong as well

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Mar 2021 20:14:32 +0100

rna-star (2.7.8a+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream did not remove opal/opal.o after build - extended cleaning

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Feb 2021 19:15:39 +0100

rna-star (2.7.7a+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Switch watch version to 4

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 06 Jan 2021 16:28:02 +0530

rna-star (2.7.6a+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 02 Oct 2020 14:49:32 +0200
