=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Sascha Steinbiss <satta@debian.org>
+           Sascha Steinbiss <satta@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libhts-dev,
                vim-common,
                xxd,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               zlib1g-dev,
+               libsimde-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/rna-star
 Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
@@ -20,6 +22,7 @@
 Architecture: amd64 arm64 ppc64el mips64el
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${simde:Built-Using}
 Description: ultrafast universal RNA-seq aligner
  Spliced Transcripts Alignment to a Reference (STAR) software based on a
  previously undescribed RNA-seq alignment algorithm that uses sequential
