=== debian/tests/control ===
Test-Command: debian/tests/run_test.sh STAR
Depends: @
Restrictions: allow-stderr
