## rna-star 2.7.10a%2Bdfsg

=== debian/changelog ===
rna-star (2.7.10a+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7.10a+dfsg
  * Refresh patches
  * Skip seeking GIT_BRANCH_COMMIT_DIFF

 -- Nilesh Patra <nilesh@debian.org>  Sun, 16 Jan 2022 22:05:44 +0530

rna-star (2.7.9a+dfsg-3) unstable; urgency=medium

  * d/salsa-ci.yml: Reprotest is enabled, disable blhc and i386 build
  * Clean pre-each build so as to build all files for each SIMD level

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 Aug 2021 15:43:45 +0530

rna-star (2.7.9a+dfsg-2) unstable; urgency=medium

  * d/p/do-not-enforce-avx2.patch: Remove usage of
    -mavx2 by default (Closes: #992270)
  * d/salsa-ci.yml: Disable reprotest and build on i386

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 Aug 2021 12:20:57 +0530

rna-star (2.7.9a+dfsg-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added ref to guix

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version 2.7.9a+dfsg
  * Refresh d/p/donotuse_own_htslib.patch
  * Refresh d/p/reproducible.patch
  * Drop d/p/simde.patch: Merged upstream
  * d/salsa-ci.yml: Do not build salsa CI on i386, do not run blhc

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 23:18:21 +0530
