=== debian/changelog ===
rna-star (2.7.10a+dfsg-3) unstable; urgency=medium

  * Add patch to fix gcc-12 FTBFS (Closes: #1013030)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Jun 2022 19:46:55 +0000

rna-star (2.7.10a+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * Remove build-depends on vim-common (Closes: #1007987)

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * DEP3

 -- Lance Lin <LQi254@protonmail.com>  Wed, 6 Apr 2022 19:19:25 +0700
