=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libhts-dev,
-               vim-common,
                xxd,
                zlib1g-dev,
                libsimde-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/rna-star
 Vcs-Git: https://salsa.debian.org/med-team/rna-star.git
 Homepage: https://github.com/alexdobin/STAR/
