=== debian/changelog ===
rna-star (2.7.10b+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/packaged_simde: Use packaged SIMDe header, not the
    code-copy.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Jan 2023 15:33:29 +0100

rna-star (2.7.10b+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 27 Dec 2022 02:18:32 +0100

rna-star (2.7.10a+dfsg-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 07:41:46 +0200
