=== debian/changelog ===
rna-star (2.7.11b+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: simplify Aritechture selection via the provisions from
    the architecture-properties package.
  * d/rules: fix typo that was affecting the reprotest when the shell
    was set to Bash.
  * d/rules: fix dh_auto_clean.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 25 Oct 2024 16:34:57 +0200

rna-star (2.7.11b+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/rules: Remove override_dh_auto_clean
  * d/clean: Remove generated files (Closes: #1045634)
  * d/patches: Add patch to fix typos

 -- Lance Lin <lq27267@gmail.com>  Fri, 09 Feb 2024 23:04:19 +0700

rna-star (2.7.11a+dfsg-1) unstable; urgency=medium

  [ sangmeng ]
  * debian/control: add loong64 support

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Aug 2023 19:46:04 +0200
