=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
+               architecture-is-little-endian,
                libhts-dev,
                xxd,
                zlib1g-dev,
@@ -17,7 +19,7 @@
 Rules-Requires-Root: no
 
 Package: rna-star
-Architecture: amd64 arm64 ppc64el mips64el
+Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${simde:Built-Using}
