=== debian/rules ===
--- 
+++ 
@@ -41,16 +41,13 @@
 	dh_install source/STAR source/STARlong usr/bin/
 endif
 
-override_dh_auto_clean:
-	cd source && ${MAKE} clean
-
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH),amd64)
-	set -i; for SIMD in $(AMD64_SIMD_LEVELS) ; do \
+	set -e; for SIMD in $(AMD64_SIMD_LEVELS) ; do \
 		if lscpu | grep -q $${SIMD} ; then \
 		debian/tests/run_test.sh $(CURDIR)/source/STAR-$${SIMD} ; \
 		fi ; done
@@ -60,5 +57,8 @@
 endif
 endif
 
+override_dh_auto_clean:
+	cd source; $(MAKE) clean
+
 override_dh_gencontrol:
 	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
